Update Variant
curl --request PATCH \
--url https://api.headlesscommerce.io/v1/admin/variants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"barcode": "<string>",
"weight": 123,
"is_active": true,
"metadata": {}
}
'{
"id": "<string>",
"product_id": "<string>",
"sku": "<string>",
"barcode": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"compare_at_price": {
"amount": 123,
"currency": "<string>"
},
"cost_price": {
"amount": 123,
"currency": "<string>"
},
"weight": 123,
"is_active": true,
"option_values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
],
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"inventory": {
"id": "<string>",
"variant_id": "<string>",
"track_inventory": true,
"allow_backorder": true,
"safety_stock": 123,
"on_hand": 123,
"reserved": 123,
"available": 123,
"metadata": {}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Admin - Products
Update Variant
PATCH
/
admin
/
variants
/
{id}
Update Variant
curl --request PATCH \
--url https://api.headlesscommerce.io/v1/admin/variants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"barcode": "<string>",
"weight": 123,
"is_active": true,
"metadata": {}
}
'{
"id": "<string>",
"product_id": "<string>",
"sku": "<string>",
"barcode": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"compare_at_price": {
"amount": 123,
"currency": "<string>"
},
"cost_price": {
"amount": 123,
"currency": "<string>"
},
"weight": 123,
"is_active": true,
"option_values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
],
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"inventory": {
"id": "<string>",
"variant_id": "<string>",
"track_inventory": true,
"allow_backorder": true,
"safety_stock": 123,
"on_hand": 123,
"reserved": 123,
"available": 123,
"metadata": {}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
Body
application/json
Response
200 - application/json
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
grams
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I